%global npm_name has-ansi

Summary:       Check if a string has ANSI escape codes
Name:          nodejs-%{npm_name}
Version:       2.0.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/sindresorhus/has-ansi
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Check if a string has ANSI escape codes

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc license readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 2.0.0-1
- Initial package
